<template>
  <div>
    <BasicTable @register="registerTable">
      <template #action="{ record }">
        <TableAction :actions="[
          {
            icon: 'clarity:info-standard-line',
            tooltip: bt('查看单据详情'),
            onClick: handleEdit.bind(null, record),
          }
        ]" />
      </template>
    </BasicTable>
  </div>
</template>
<script lang="ts" setup>
import { BasicTable, useTable, TableAction } from '/@/components/Table';
import { columns, searchFormSchema } from './salebackorder.data';
import { getSalebackorderListByPage } from '/@/api/tigerapi/wms/salebackorder';
import { useI18n } from '/@/hooks/web/useI18n';
import { useGo } from '/@/hooks/web/usePage';
const { t: bt } = useI18n('WMS.Salebackorder');
const go = useGo();

const [registerTable] = useTable({
  title: bt('销售退货单列表'),
  api: getSalebackorderListByPage,
  columns,
  formConfig: {
    labelWidth: 120,
    schemas: searchFormSchema,
  },
  useSearchForm: true,
  showTableSetting: true,
  bordered: true,
  canResize:true,
  showIndexColumn: false,
  actionColumn: {
    width: 80,
    title: bt('操作'),
    dataIndex: 'action',
    slots: { customRender: 'action' },
    fixed: 'right',
  },
});
function handleEdit(record: Recordable) {
  go('/salebackorderDetail/' + record.BILLCODE);

}
</script>
